%ifarch i686
%define karch i686
%endif

%ifarch x86_64
%define karch x86_64
%endif

%define kver	2.6.18-164.0.0.0.4.el5
Summary:	Tools to manage multipath proxy driver  using linuxrdac 
Name:		rdac-mpp-tools
Version:	1.0.1
License:	GPL
Release:	5
Group:		System Environment/Kernel
Source0:	rdac-mpp-tools-1.0.1.tgz
Patch1:		dummy.patch
# End Oracle Patches

BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root/
Prereq: 	chkconfig coreutils
#BuildRequires:  kernel-devel-%{kver}

%description
%{name} provides tools to manage RDAC Multipath proxy devices by instructing the
RDAC kernel module what to do.

%prep
%setup  -q -n rdac-mpp-tools-1.0.1
%patch1 -p0

%build
make genuniqueid mppUtil kver="%{kver}" karch="%{karch}"

%install
if [ "$RPM_BUILD_ROOT" != "/" ]; then
        rm -rf $RPM_BUILD_ROOT
fi
make install DESTDIR=$RPM_BUILD_ROOT bindir=/usr/sbin 

%clean
if [ "$RPM_BUILD_ROOT" != "/" ]; then
        rm -rf $RPM_BUILD_ROOT
fi

%post
/sbin/chkconfig --add  mpp
/bin/ln -s /usr/sbin/mppBusRescan /usr/sbin/hot_add
/bin/ln -s /usr/share/man/man1/mppBusRescan.1.gz  /usr/share/man/man1/hot_add.1.gz

%preun
if [ "$1" = 0 ]; then
        /sbin/chkconfig --del mpp
fi
rm -f /usr/sbin/hot_add
rm -f /usr/share/man/man1/hot_add.1.gz

%files
%defattr(-,root,root,-)                                                                 
/usr/sbin/hbaCheck
/usr/sbin/lsvdev
/usr/sbin/mppUtil
/usr/sbin/genuniqueid
/usr/sbin/mppBusRescan
/usr/sbin/mppMkInitrdHelper
/etc/init.d/mpp
/etc/mpp.conf
%{_mandir}/man1/mppBusRescan.1.gz
%{_mandir}/man1/mppUtil.1.gz
%{_mandir}/man9/RDAC.9.gz
%dir /var/mpp
/var/mpp/devicemapping

%changelog
* Fri Jan 22 2010 Tianyue Lan <tianyue.lan@oracle.com> 1.0.1-5
- Rebuild for ovm 3.0

* Tue Sep 15 2009 Kevin Lyons <kevin.x.lyons@oracle.com> 1.0.1-4
- Remove requirement on kernel-devel [bug 8914202]

* Tue Sep 08 2009 Kevin Lyons <kevin.x.lyons@oracle.com> 1.0.1-3
- Add dependency on coreutils [bug 8851678]

* Wed Aug 05 2009 Srinivas Maturi <srinivas.maturi@oracle.com> 1.0.1-2
-- correct release

* Thu Jul 30 2009 Guru Anbalagane <guru.anbalagane@oracle.com> 1.0.1-1.ovs
-- for ovm release 
